/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#pragma once

#include <string>

namespace OpenVulkano::Scene
{
	class Geometry;
	class MeshWriter
	{
	public:
		static void WriteAsOBJ(Geometry* geometry, const std::string& filePath);
		static void WriteAsUSD(Geometry* geometry, const std::string& filePath);
		static void WriteObjAsZip(Geometry* geometry, const std::string& texturePath, const std::string& zipPath);
		static void WriteAsUSDZ(Geometry* geometry, const std::string& texturePath, const std::string& usdzPath);
	};
}